### Function

# GimpUi prop_string_combo_box_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_string_combo_box_new (
      GObject* config,
      const gchar* property_name,
      GtkTreeModel* model,
      gint id_column,
      gint label_column
    )

#### Description [src]

Creates a `GimpStringComboBox` widget to display and set the specified property. The contents of the widget are determined by `store`.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of int property controlled by combo box.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`model` | `GtkTreeModel`
| `GtkTreeStore` holding list of values.
| The data is owned by the caller of the function.
`id_column` | `gint`
| Column in `store` that holds string IDs.
`label_column` | `gint`
| Column in `store` that holds labels to use in the combo-box.

#### Return value

Returns: | `GtkWidget`
| The newly created `GimpStringComboBox` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.